require File.expand_path(File.dirname(__FILE__) + '/spec_helper')

describe "Sap4ruby" do
  before :all do
    @sap = Sap4ruby::Client.new
  end

  it "should have connection parameters in Sap4ruby module" do
    Sap4ruby.HOST.should_not be_empty
    Sap4ruby.SYSNR.should_not be_empty
    Sap4ruby.LANGUAGE.should_not be_empty
    Sap4ruby.CLIENT.should_not be_empty
    Sap4ruby.USER.should_not be_empty
    Sap4ruby.PASSWORD.should_not be_empty
  end

  it "should have connection parameters in a instance of Sap4ruby::Client class" do
    @sap.connection_keys[:ashost].should_not be_empty
    @sap.connection_keys[:sysnr].should_not be_empty
    @sap.connection_keys[:lang].should_not be_empty
    @sap.connection_keys[:client].should_not be_empty
    @sap.connection_keys[:user].should_not be_empty
    @sap.connection_keys[:passwd].should_not be_empty
  end

  it "should have fields into sap table" do
    pending("not implemented")   
  end

  it "should have sap table filled with an example context" do
    pending("not implemented")
  end
end
